net.i2p.util

## Class ConvertToHash

- java.lang.Object
- - net.i2p.util.ConvertToHash

    public class ConvertToHash
    extends Object

Convert any kind of destination String to a hash Supported: Base64 dest Base64 dest.i2p Base64 Hash Base32 Hash Base32 desthash.b32.i2p example.i2p

Author:
  zzz

### Constructor Summary

Constructors
Constructor and Description
`ConvertToHash()`

### Method Summary

Methods
`static Hash` `getHash(String peer)` Convert any kind of destination String to a hash

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertToHash

    public ConvertToHash()

### Method Detail

#### getHash

    public static Hash getHash(String peer)

Convert any kind of destination String to a hash

Returns:
  null on failure